-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
CREATE PROCEDURE [C6MartPeriodicoImmobiliare].[GetDatiPerIDX]
	-- Add the parameters for the stored procedure here
	@cf as varchar(max),
	@dtMS as varchar(10),
	@dtRif as varchar(10)
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;
	Declare @temptable Table(cf varchar(80))
	declare @idx int       
	declare @slice varchar(8000)       
	select @idx = 1       
		if len(@cf)<1 or @cf is null  return       
	while @idx!= 0       
	begin       
		set @idx = charindex(',',@cf)       
		if @idx!=0       
			set @slice = left(@cf,@idx - 1)       
		else       
			set @slice = @cf       
		if(len(@slice)>0)  
			insert into @temptable(cf) values(@slice)       
		set @cf = right(@cf,len(@cf) - @idx)       
		if len(@cf) = 0 break       
	end   
    -- Insert statements for procedure here
	SELECT		
		cat.rete+
		+ LEFT(isnull(ANAG_CLIENTI.Nome,'NOME') + ' ' + ISNULL(ANAG_CLIENTI.Cognome,'COGNOME') + '                                                  ',50) -- NOMINATIVODESTINATARIO(50)
		+ LEFT(isnull(CONTRATTOSEI.Indirizzo,'') + '                                                  ',50) --VIA(50)
		+ LEFT(isnull(CONTRATTOSEI.CAP,'') + '     ',5) --CAP(5)
		+ LEFT(isnull(CONTRATTOSEI.Citta,'') + '                                                  ',50) --LOCALITA(50)
		+ LEFT(isnull(CONTRATTOSEI.Prov,'') + '  ',2)--PROVINCIA(2)
		+ (CASE UPPER(isnull(CONTRATTOSEI.Nazione,'')) WHEN 'ITALIA' THEN 'I' ELSE 'E' END) -- IoE(1)
		+ 'PE' --TIPOPOSTALIZZAZIONE(2)
		+ LEFT(contrattoSEI.COD_FISCALE+'_'+contrattoSEI.rete+ '                                                  ',50) --NOMEFILE(50)
		+ LEFT((CASE UPPER(isnull(CONTRATTOSEI.Nazione,'')) WHEN 'ITALIA' THEN '' ELSE isnull(CONTRATTOSEI.Nazione,'') END) + '                               ',30) -- NAZIONEESTERA(30)
		+ right (' ' + COALESCE(CONTRATTOSEI.Rol, 'N'), 1) 
		+ right ('                ' + CONTRATTOSEI.Cod_Fiscale, 16)
		+ left (coalesce(CONTRATTOSEI.Email, '') + '                                                  ', 50)
		+ convert(char(8), @dtMS)  /** modificare la data alla metà del semestre di interesse */
		+ CONTRATTOSEI.COD_AGENTE	
		+ CONTRATTOSEI.codicecontratto as idx
	FROM consuni.consulenzaunicafl.dbo.Immobiliare_RichiesteMonitoraggioCatastoCliente cat
	INNER JOIN C6MARTPERIODICOimmobiliare.CONTRATTOSEI
		ON CONTRATTOSEI.Rete = cat.Rete
		AND CONTRATTOSEI.COD_FISCALE = cat.codfis
	INNER JOIN C6MARTPERIODICOimmobiliare.ANAG_CLIENTI 
		ON ANAG_CLIENTI.Rete = cat.Rete
		AND ANAG_CLIENTI.COD_FISCALE = cat.codfis
where cat.dtRiferimento=@dtRif AND cat.codfis IN (Select cf from @temptable)
END